#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: kan-extensions
version: 5.2
id: kan-extensions-5.2-JQfkQ3nejqAFsi6cQQ1ehY
key: kan-extensions-5.2-JQfkQ3nejqAFsi6cQQ1ehY
license: BSD-3-Clause
copyright: Copyright (C) 2008-2016 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/kan-extensions/
synopsis: Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads
description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.
category: Data Structures, Monads, Comonads, Functors
abi: 3570e5b822dde6dcc1d846a90f71dc7b
exposed: True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda
import-dirs: /usr/lib/ghc-8.4.3/site-local/kan-extensions-5.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/kan-extensions-5.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/kan-extensions-5.2
hs-libraries: HSkan-extensions-5.2-JQfkQ3nejqAFsi6cQQ1ehY
includes:
    kan-extensions-common.h
depends:
    adjunctions-4.4-6p6Nuu5DSNOJTIqx8EOuuu array-0.5.2.0 base-4.11.1.0
    comonad-5.0.4-9pLNVFW92HxE24YZGMJsoI containers-0.5.11.0
    contravariant-1.5-HWHOmzUIRDZBjbL8Fw1HTI
    distributive-0.6-8wcuHqQmk4hBmZSTUs0Wgs
    free-5.1-EKHMrdjMIZMBBfcOJKgjES
    invariant-0.5-Jbr4KbPmEblGpOXYcH8kNy mtl-2.2.2
    profunctors-5.3-5EhJZxl0rhw2nZuUo6HVEV
    semigroupoids-5.3.1-AUNnL1SpLWU7HnX6QFYMOT
    tagged-0.8.6-8akQ1aZG2N2GFJpoB5eGXO transformers-0.5.5.0
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
abi-depends: adjunctions-4.4-6p6Nuu5DSNOJTIqx8EOuuu=e2c6dfe2b78e9e32384ef2e374646d32
             array-0.5.2.0=dc85b03ee806d784249cc791da6109c3
             base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             comonad-5.0.4-9pLNVFW92HxE24YZGMJsoI=003fd6f6074ddc06150595c21f08cf01
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             contravariant-1.5-HWHOmzUIRDZBjbL8Fw1HTI=d2f13618f92bbccf0540968a185d3c43
             distributive-0.6-8wcuHqQmk4hBmZSTUs0Wgs=ad55494da95e1ea8bcf90c41088c1d15
             free-5.1-EKHMrdjMIZMBBfcOJKgjES=53e5ebe03b6293943fc9f3856f44887e
             invariant-0.5-Jbr4KbPmEblGpOXYcH8kNy=14d012687b7d32ac5acc2675724f7de9
             mtl-2.2.2=0b3b35c3b96c7607606ed10087c4aa4a
             profunctors-5.3-5EhJZxl0rhw2nZuUo6HVEV=8bc58510688d43a023deebf1172e6753
             semigroupoids-5.3.1-AUNnL1SpLWU7HnX6QFYMOT=5cb5d642dd4201beacedf31c9247cd06
             tagged-0.8.6-8akQ1aZG2N2GFJpoB5eGXO=92d44612a64675b8cba7ce44e507a395
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=8fe746d31ebcf312c14c2777ca0f137c
haddock-interfaces: /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock
haddock-html: /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

